/*
 * Class STRING_TO_NUMERIC_CONVERTOR
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_57 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_57 [] = {0xFF01,237,56,0xFFFF};
static const EIF_TYPE_INDEX egt_2_57 [] = {0xFF01,56,0xFFFF};
static const EIF_TYPE_INDEX egt_3_57 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_57 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_57 [] = {0xFF01,56,0xFFFF};
static const EIF_TYPE_INDEX egt_6_57 [] = {0xFF01,56,0xFFFF};
static const EIF_TYPE_INDEX egt_7_57 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_57 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_57 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_57 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_57 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_57 [] = {0xFF01,56,0xFFFF};
static const EIF_TYPE_INDEX egt_13_57 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_14_57 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_57[] = {
	{EIF_GENERIC(NULL), 1190, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_57), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_57), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_57), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_57), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_57), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_57), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_57), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_57), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_57), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_57), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_57), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_57), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x71 /*56*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_57), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 1162, 32},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1163, 24},
	{EIF_NON_GENERIC(0x019D /*206*/), 1164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1165, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1166, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1179, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1181, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1191, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 1192, 9},
	{EIF_GENERIC(egt_13_57), 1193, 0},
	{EIF_GENERIC(egt_14_57), 1194, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1195, 12},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1196, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1197, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1198, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1199, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1200, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 1201, 20},
};
void Init57(void)
{
	IDSC(desc_57, 0, 56);
	IDSC(desc_57 + 1, 1, 56);
	IDSC(desc_57 + 32, 264, 56);
	IDSC(desc_57 + 55, 98, 56);
}


#ifdef __cplusplus
}
#endif
